/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 */

package com.queplix.core.modules.jeo.gen;

import com.queplix.core.modules.jeo.JEObject;

import java.util.Date;

public interface HistoryObject extends JEObject {

    Long getQx_historyid();

    char[] getQx_history();

    String getQx_object();

    Long getQx_objectid();

    Date getQx_datemodified();

    void setQx_historyid(Long l);

    void setQx_history(char[] ch);

    void setQx_object(String s);

    void setQx_objectid(Long l);

    void setQx_datemodified(Date d);
}
